import request from '@/assets/js/utils/request'
/* 终止招标api*/

//  终止招标公告列表
export function getStopbiddingBulletinList(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/getStopbiddingBulletinList',
    method: 'post',
    data
  })
}

// 保存终止招标记录
export function saveStopbiddingRecord(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/saveStopbiddingRecord',
    method: 'post',
    data
  })
}

// 获取终止招标可选标段信息列表
export function getStopbiddingChoicePackageInfo(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/getStopbiddingChoicePackageInfo',
    method: 'post',
    data
  })
}

// 制作终止公告
export function makeStopbiddingBulletin(stopbiddingRecordId) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/makeStopbiddingBulletin?stopbiddingRecordId=' + stopbiddingRecordId,
    method: 'post'
  })
}
// 保存终止公告内容转pdf盖章
export function saveStopbiddingBulletinContent(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/saveStopbiddingBulletinContent',
    method: 'post',
    data
  })
}

// 终止招标公告提交接口
export function sumitStopbiddingBulletin(stopbiddingBulletinid) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/sumitStopbiddingBulletin?stopbiddingBulletinid=' + stopbiddingBulletinid,
    method: 'post'
  })
}
// 删除终止招标信息
export function deleteStopbiddingInfo(stopbiddingBulletinId) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/deleteStopbiddingInfo?stopbiddingBulletinId=' + stopbiddingBulletinId,
    method: 'post'
  })
}
// 终止招标记录查看页面
export function getStopbiddingRecordInfo(stopbiddingBulletinId) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/getStopbiddingRecordInfo?stopbiddingBulletinId=' + stopbiddingBulletinId,
    method: 'post'
  })
}

/* 运维审批*/
//  审核终止招标公告
export function auditStopbiddingBulletin(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/auditStopbiddingBulletin',
    method: 'post',
    data
  })
}
// 终止招标公告待审核列表
export function getAuditStopbiddingBulletinList(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingRecord/getAuditStopbiddingBulletinList',
    method: 'post',
    data
  })
}
// 终止公告发布列表
export function releaseStopBulletinList(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingBulletin/releaseStopBulletinList',
    method: 'post',
    data
  })
}
// 终止公告发
export function releaseStopBulletin(params) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/stopbiddingBulletin/releaseStopBulletin',
    method: 'post',
    params
  })
}
